---
title: '`glab issue delete`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Delete an issue.

## Synopsis

Permanently deletes the issue. You can pass an issue ID or a full
issue URL.

```plaintext
glab issue delete <id> [flags]
```

## Aliases

```plaintext
del
```

## Examples

```console
glab issue delete 123
glab issue del 123
glab issue delete https://gitlab.com/profclems/glab/-/issues/123
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
